Package Gnumed :: Package business :: Module gmOrganization :: Class cOrgUnit |
[frames] | no frames]

# Class cOrgUnit

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cOrgUnit

Instance Methods
get_comm_channels(self, comm_medium=None) | source code
link_comm_channel(self, comm_medium=None, url=None, is_confidential=False, pk_channel_type=None) Link a communication medium with this org unit. | source code
unlink_comm_channel(self, comm_channel=None) | source code
get_external_ids(self, id_type=None, issuer=None) | source code
add_external_id(self, type_name=None, value=None, issuer=None, comment=None, pk_type=None) Adds an external ID to an org unit. | source code
update_external_id(self, pk_id=None, type=None, value=None, issuer=None, comment=None) Edits an existing external ID. | source code
delete_external_id(self, pk_ext_id=None) | source code
link_address(self, id_type=None, address=None) | source code
unlink_address(self, address=None, pk_address=None) Remove an address from the org unit. | source code
format(self, with_address=False, with_org=True, with_comms=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| external_ids = `property(get_external_ids, lambda x: x)`
| address = `property(_get_address, _set_address)`
| organization = `property(_get_org, lambda x: x)`
| org = `property(_get_org, lambda x: x)`
| comm_channels = `property(get_comm_channels, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### link_comm_channel(self, comm_medium=None, url=None, is_confidential=False, pk_channel_type=None) | source code
Link a communication medium with this org unit. @param comm_medium The name of the communication medium. @param url The communication resource locator. @type url A str instance. @param is_confidential Wether the data must be treated as confidential. @type is_confidential A bool instance.

### add_external_id(self, type_name=None, value=None, issuer=None, comment=None, pk_type=None) | source code
Adds an external ID to an org unit. creates ID type if necessary

### update_external_id(self, pk_id=None, type=None, value=None, issuer=None, comment=None) | source code
Edits an existing external ID. Creates ID type if necessary.

### unlink_address(self, address=None, pk_address=None) | source code
Remove an address from the org unit. The address itself remains in the database. The address can be either cAdress or cPatientAdress.

### format(self, with_address=False, with_org=True, with_comms=False) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format